# Function Files

- Files(props): ReactNode

- #### Parameters

  - props: {
    children?: any;
    containerId: Id;
    insert?: any;
    onDrop: ((files: any, a: any, event: any, prevent: any) => void);
    onInsert: ((id: any, files: any, a: any, event: any) => void);
    prevent?: boolean;
    Props?: any;
    render?: any;
    [key: string]: any;
    }

    - ##### [key: string]: any

    - ##### `Optional` children?: any

    - ##### containerId: Id

    - ##### `Optional` insert?: any

    - ##### onDrop: ((files: any, a: any, event: any, prevent: any) => void)

      - - (files, a, event, prevent): void

        - #### Parameters

          - files: any
          - a: any
          - event: any
          - prevent: any

          #### Returns void

    - ##### onInsert: ((id: any, files: any, a: any, event: any) => void)

      - - (id, files, a, event): void

        - #### Parameters

          - id: any
          - files: any
          - a: any
          - event: any

          #### Returns void

    - ##### `Optional` prevent?: boolean

    - ##### `Optional` Props?: any

    - ##### `Optional` render?: any

  #### Returns ReactNode

  - Defined in work/deeplinks/deeplinks/imports/files.tsx:6

#####
Index

### Properties

$$typeof
displayName?

##
Properties

### `Readonly`$$typeof

$$typeof: symbol

- Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:636

### `Optional` displayName

displayName?: string

Used in debugging messages. You might want to set it explicitly if you want to display a different name for debugging purposes.

#### See

Legacy React Docs

- Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:652